# StageCodes (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.stage.data
Interface StageCodes

All Superinterfaces:
  com.threerings.presents.data.InvocationCodes

All Known Implementing Classes:
  PlacementConstraints

    public interface StageCodes

extends com.threerings.presents.data.InvocationCodes

Codes and constants relating to the Stage system.

Field Summary
`static String` `ERR_CANNOT_CLUSTER` An error delivered when adding objects to scenes.
`static String` `ERR_NO_OVERLAP` An error delivered when adding objects to scenes.
`static com.threerings.presents.data.Permission` `MODIFY_SCENE_ACCESS` The access control identifier for scene modification privileges.
`static com.threerings.presents.data.Permission` `MUTILATE_SCENE_ACCESS` The access control identifier for potentially damaging scene modification privileges.
`static String` `STAGE_MESSAGE_BUNDLE` The i18n bundle identifier for the Stage system.
`static String` `TILESET_RSRC_SET` The resource set that contains our tileset bundles.

Fields inherited from interface com.threerings.presents.data.InvocationCodes
`ACCESS_DENIED, E_ACCESS_DENIED, E_INTERNAL_ERROR, GLOBAL_GROUP, INTERNAL_ERROR`

Field Detail

### STAGE_MESSAGE_BUNDLE

    static final String STAGE_MESSAGE_BUNDLE

  The i18n bundle identifier for the Stage system.

  See Also:
    Constant Field Values

### TILESET_RSRC_SET

    static final String TILESET_RSRC_SET

  The resource set that contains our tileset bundles.

  See Also:
    Constant Field Values

### MODIFY_SCENE_ACCESS

    static final com.threerings.presents.data.Permission MODIFY_SCENE_ACCESS

  The access control identifier for scene modification privileges.

### MUTILATE_SCENE_ACCESS

    static final com.threerings.presents.data.Permission MUTILATE_SCENE_ACCESS

  The access control identifier for potentially damaging scene modification privileges.

### ERR_NO_OVERLAP

    static final String ERR_NO_OVERLAP

  An error delivered when adding objects to scenes.

### ERR_CANNOT_CLUSTER

    static final String ERR_CANNOT_CLUSTER

  An error delivered when adding objects to scenes.

Copyright © 2011. All Rights Reserved.